How to compile this package:

Its really quite simple -- its about the same difficulty as compiling
any GNU software (however, this is _not_ GNU software)

  o  !!! IMPORTANT !!! If you are upgrading from a prior version of
     your operating system, or you have changed operating systems, you
     must do a 'make distclean' and re-do all of the steps in this file
     for the new OS, or epic may get confused when it tries to compile 
     for your old system!  (Especially true for Redhat 5.2 to 6.1)

  o  Run 'configure' by using one (and only one) of the following:

		./configure
		sh configure

  o  By default, 'configure' sets up the software to be run from
     /usr/local -- if this is not the case for you (ie, you are not
     the superuser compiling for the entire system) you can run
     configure with the "--prefix=/path/to/somewhere" flag, for example:

		./configure --prefix=/usr/home/user

  o  EPIC's build infrastructure fully supports all the bells and whistles
     that configure provides for compiling in different places and for
     different systems and all that esoteric stuff only used by package
     maintainers.  This support was added because Debian asked for it.

  o  On Linux, you _*-MUST-*_ install your system's "ncurses-devel" package
     or you won't be able to build epic.  You should install your system's
     "gdbm-devel" package or you won't have access to $dbmctl() (hash tables)

  o  There are several options supported by our configure script:
	  --with-termcap     	
		EPIC will use ONLY termcap, and not look for terminfo.
		You ought not specify this unless the terminfo support
		on your system is more broken than your termcap support.
	  --with-socks[=PATH]
		EPIC will attempt to use SOCKS4 firewall code when making
		network connections.  The PATH should specify the directory
		tree where all of the interesting files can be found.  This
		is usually something like /usr/local
	  --with-socks5[=PATH]
		Same thing as above, but for SOCKS5.
	  --with-perl[=PATH]
		Enable the perl support in the scripting language.
		WARNING:  Currently requires Perl 5.6+.
	  --with-ssl[=PATH]
		Enable support for SSL connections to servers.

  o  You must not try to compile epic with "gcc -O2" because -O2 will
     generate bad code that leads to random crashes.  When you use -O2,
     gcc assumes the source is conformant to ISO C99's requirements about
     alias-safety, and EPIC, being a C90 program, does not conform, so the
     result is undefined behavior (which means it crashes randomly.)  This
     is not a bug in EPIC.  You must only compile epic with -O.

  o  This software should be able to compile and run on almost
     any modern unix (A ``modern'' unix is one that supports POSIX
     system calls and BSD networking in addition to the most commonly
     accepted non-standard unix extensions, like getpw*() functions.)
     All I can say is try it and see if it works.  It should definitely
     work on the 4.4BSDs, Linux, SVR4s (Solaris), Digital Unix/Ultrix, 
     AIX and SCO ODT 5, and possibly others.

  o  To compile type `make'.  This will compile the `epic5' and `wserv4'
     programs that live in the `source' subdirectory.

  o  Once that you are happy with the compilation, you can install them
     with `make install'.  This will install all the binaries, and scripts
     into the path specified in the Makefile (or when you ran configure).
     The help files are available as a seperate package.  They should be
     available from the same place you got the source code from.
     This release uses a new layout format for its various parts that differs
     from the historical ircII defaults.  The binary is called 'epic5', the
     library is put into .../share/epic by default, and the 'wserv4'
     binary ends up as .../libexec/wserv4.

  o  You can now delete the object files and binaries if you want to
     save some space by typing `make clean'.  If you are sure you probably
     wont have to compile again, but you want to keep the source code
     around, you can use `make distclean'.  You should `make distclean'
     before you try to compile again for a different architecture.

  o  Help files are not shipped with the base distribution (because of their
     size and because they are not updated frequently.)  You can peruse the 
     help files online at http://www.epicsol.org/help.  There is also a 'help'
     script that implements the /help command if you want to do things the old
     way.  Make sure you /SET HELP_PATH to where you put the help files or it
     won't be able to find them.

  o  Bug reports go to list@epicsol.org.  Please see the BUG_FORM file for 
     information about how to file a bug report.  Please include as much 
     information as possible.

